Page 1 of 2 12 LastLast
Results 1 to 10 of 11
Discuss How to downgrade from 3.1.2 to 3.0 ? at the iPhone 3G - Hackint0sh.org; Hello, I have a 3G iphone running 3.1.2 firmware with modem 2.28. The phone has ...
  1. #1
    Rookie Array

    Join Date
    Jan 2008
    Posts
    17
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default How to downgrade from 3.1.2 to 3.0 ?

    Hello,
    I have a 3G iphone running 3.1.2 firmware with modem 2.28. The phone has some problems ( network issues ) and i need to resinstal de firmware but I dont want to upgrade it to a newer modem/bb version ( or at least not to a modem version wich is not suported for unlock for the moment ). Wich is the safest way to do that ? I only have a windows computer so I cant use mac options. The phone is already jailbreaked and it was working fine till yesterday. I need to reinstall de firmware and , after that, jailbreaking and unlocking it back.
    Need answer A.S.A.P.
    Thanks in advance.
    B.R.

    P.S. What version of I-Tunes should I use for restore?
    Last edited by mihnea_gsm; 10-22-2009 at 11:13 AM.



  2. #2
    Rookie Array

    Join Date
    Jan 2008
    Posts
    17
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    It doesnt matter if I have to use 3.0 firmware, I just need a safe way to reinstall the software without loosing the ability to jailbreak and unlock the phone after. Thanks

  3. #3
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    The baseband 02.28.00 that you have right now will only work properly with iPhone OS 2.x if you want to run iPhone OS 3.x you need to upgrade to 04.26.08 baseband. You can do this by restoring to a stock standard 3.0 ipsw from apple.

    It sounds like you already have a custom ipsw that can install 3.1.2 without upgrading the baseband. I would suggest you use that after you load the official 3.0 ipsw

  4. #4
    Rookie Array

    Join Date
    Jan 2008
    Posts
    17
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Thanks for quick answer, so, if I will install an 3.0 OS via I-tunes, there will be no problem at all? ( I am running 3.1.2 thats why I am asking ) Can I use Itunes 8.x that i have installed in PC? or do I have to install Itunes 9?

  5. #5
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    iTunes 8.2 or higher is suitable for restoring to 3.0

    You can follow the following guide for help.

    iClarified - iPhone - How to Jailbreak Your iPhone 3G on OS 3.0.x Using RedSn0w (Windows)

    Once you have 3.0 and the updated baseband you should confirm that you can unlock using ultrasn0w

    iClarified - iPhone - How to Unlock the iPhone 3G, 3GS Using UltraSn0w


  6. #6
    Rookie Array

    Join Date
    Jan 2008
    Posts
    17
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Thanks again.
    I know how to jailbreak and how to unlock, but i never did it on a phone like this one , I mean this firmware version, and I wanted to be sure that if it is the same method.
    Thanks again for your answers.
    Best regards

  7. #7
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    I have just realised why you have that firmware combination. It is a very odd combination.

    Did you accidentally upgrade to official apple 3.1.2 then ran "3G fuzzyband downgrader" ?

    There are now two versions of the fuzzyband downgrader in Cydia. One is for ultrasn0w and is called "fuzzyband" and has a version of 3.1 GM-1. The other is called "3G fuzzyband downgrader" and is for yellowsn0w.

    If you have baseband-bootloader 5.8 you can save restoring and jailbreaking again. Just run "fuzzyband" version 3.1 GM-1 this will get you to the correct baseband for an unlock using ultrasn0w. If you don't have baseband-bootloader 5.8 then running fuzzyband will not do anything.
    Last edited by Olethros; 10-22-2009 at 02:10 PM.

  8. #8
    Rookie Array

    Join Date
    Jan 2008
    Posts
    17
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    No, no, no.
    The phone was upgraded via custom IPSW through a mac computer with quickpwn, but I dont have this option anymore, so I have to manage to do it by windows and is the first time that i have a 3.1.2 in my hand and i just wanted to be sure that it is safe to "dongrade" the firmware via I-Tunes.
    Now the phone is ok, running 3.0 OS jailbreaked and unlocked.
    Thanks again for your reply.
    Best regards

  9. #9
    Administrator Array

    Join Date
    Oct 2007
    Posts
    4,145
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    That's interesting there are 2 versions of fuzzyband in Cydia.
    Let me check with w1ckedZ to find out .
    Perhaps consolidating to 1 version will be less confusing?
    Any thoughts on this ?
    ** If you just want to support hackint0sh.org with a donation click here **

  10. #10
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by dtube View Post
    That's interesting there are 2 versions of fuzzyband in Cydia.
    Let me check with w1ckedZ to find out .
    Perhaps consolidating to 1 version will be less confusing?
    Any thoughts on this ?
    Yeah I was surprised to see two versions in Cydia also. I guess that the people who had accidentally upgraded to 05.11.07 but were lucky enough to have bootloader 5.8 got very confused when they were downgraded all the way back to 02.28.00

    Would agree one version which auto suggests either baseband 02.28.00 or 04.26.08 based on whether you are running OS 2.x or 3.x is a much better idea.


 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. Replies: 0
    Last Post: 07-18-2008, 06:35 AM
  2. Replies: 2
    Last Post: 02-02-2008, 12:47 PM
  3. Replies: 27
    Last Post: 11-20-2007, 10:41 AM
  4. Replies: 4
    Last Post: 11-11-2007, 09:34 AM
  5. Downgrade fails again :-( - Downgrade fuktioniert nicht
    By Sticki in forum iPhone "2G" (Rev. 1)
    Replies: 7
    Last Post: 10-27-2007, 07:58 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 09:34 AM.
twitter, follow us!